Loading...
Searching...
No Matches
event::DataPushService::EntryModifiedEvent Struct Reference

Event: A configured push destination has been modified. More...

`import <DataPushService.idl;`

Inheritance diagram for event::DataPushService::EntryModifiedEvent:

## Public Attributes

int | entryId
| Modified entry id.
EntrySettings | oldSettings
| Settings before change.
EntrySettings | newSettings
| Settings after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A configured push destination has been modified.

Definition at line 77 of file DataPushService.idl.

## Member Data Documentation

## entryId

int event::DataPushService::EntryModifiedEvent::entryId

Modified entry id.

Definition at line 78 of file DataPushService.idl.

## newSettings

EntrySettings event::DataPushService::EntryModifiedEvent::newSettings

Settings after change.

Definition at line 80 of file DataPushService.idl.

## oldSettings

EntrySettings event::DataPushService::EntryModifiedEvent::oldSettings

Settings before change.

Definition at line 79 of file DataPushService.idl.

The documentation for this struct was generated from the following file:

- DataPushService.idl